/*
 * Copyright 2024 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v15.0
processor: RW612
package_id: RW612ETA2I
mcu_data: ksdk2_0
processor_version: 0.15.4
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "fsl_common.h"
#include "fsl_io_mux.h"
#include "fsl_inputmux.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 *
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void)
{
    BOARD_InitPins();
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: cm33, enableClock: 'true'}
- pin_list:
  - {pin_num: F3, peripheral: FLEXCOMM3, signal: USART_RXD, pin_signal: GPIO_24}
  - {pin_num: A4, peripheral: FLEXSPI, signal: FLASH_DATA0, pin_signal: GPIO_30}
  - {pin_num: D5, peripheral: FLEXSPI, signal: FLASH_DATA1, pin_signal: GPIO_31}
  - {pin_num: C4, peripheral: FLEXSPI, signal: FLASH_DATA2, pin_signal: GPIO_32}
  - {pin_num: C5, peripheral: FLEXSPI, signal: FLASH_DATA3, pin_signal: GPIO_33}
  - {pin_num: E5, peripheral: FLEXSPI, signal: FLASH_CLK0, pin_signal: GPIO_34}
  - {pin_num: D4, peripheral: FLEXSPI, signal: FLASH_DQS, pin_signal: GPIO_29}
  - {pin_num: F5, peripheral: FLEXSPI, signal: FLASH_SSEL0, pin_signal: GPIO_28}
  - {peripheral: DMA0, signal: 'TRIG, 29', pin_signal: FLEXSPI_TX}
  - {peripheral: DMA0, signal: 'TRIG, 28', pin_signal: FLEXSPI_RX}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins
 * Description   : 
 *
 * END ****************************************************************************************************************/
/* Function assigned for the Cortex-M33 */
void BOARD_InitPins(void)
{
    /* pmux clock control: Enable clock */
    CLOCK_EnableClock(kCLOCK_InputMux);
    /* Initialize FC3_USART_DATA functionality on pin GPIO_24 (pin F3) */
    IO_MUX_SetPinMux(IO_MUX_FC3_USART_DATA);
    /* Initialize QUAD_SPI_FLASH functionality on pin GPIO_30, GPIO_31, GPIO_32, GPIO_33, GPIO_34, GPIO_29, GPIO_28
     * (pin A4_D5_C4_C5_E5_D4_F5) */
    IO_MUX_SetPinMux(IO_MUX_QUAD_SPI_FLASH);
    /* DMAC0 input trigger inmux 28 is enabled */
    INPUTMUX_EnableSignal(INPUTMUX, kINPUTMUX_Dmac0InputTriggerFlexspiRxEna, 1U);
    /* DMAC0 input trigger inmux 29 is enabled */
    INPUTMUX_EnableSignal(INPUTMUX, kINPUTMUX_Dmac0InputTriggerFlexspiTxEna, 1U);
    /* FLEXSPI Rx signal is selected as trigger input for DMA channel 28 */
    INPUTMUX_AttachSignal(INPUTMUX, 28U, kINPUTMUX_FlexspiRxToDma0);
    /* FLEXSPI Tx signal is selected as trigger input for DMA channel 29 */
    INPUTMUX_AttachSignal(INPUTMUX, 29U, kINPUTMUX_FlexspiTxToDma0);
}
/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
